Package org.eclipse.cdt.utils.elf

# Class Elf.Section

java.lang.Object
org.eclipse.cdt.utils.elf.Elf.Section

Enclosing class:
  Elf

public class Elf.Section extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NT_GNU_BUILD_ID`
`IAddress`
`sh_addr`
`long`
`sh_addralign`
`long`
`sh_entsize`
`long`
`sh_flags`
`long`
`sh_info`
`long`
`sh_link`
`long`
`sh_name`
`long`
`sh_offset`
`long`
`sh_size`
`long`
`sh_type`
`static final int`
`SHF_ALLOC`
`static final int`
`SHF_COMPRESSED`
`static final int`
`SHF_EXECINTR`
`static final int`
`SHF_WRITE`
`static final int`
`SHT_DYNAMIC`
`static final int`
`SHT_DYNSYM`
`static final int`
`SHT_HASH`
`static final int`
`SHT_LOPROC`
`static final int`
`SHT_NOBITS`
`static final int`
`SHT_NOTE`
`static final int`
`SHT_NULL`
`static final int`
`SHT_PROGBITS`
`static final int`
`SHT_REL`
`static final int`
`SHT_RELA`
`static final int`
`SHT_SHLIB`
`static final int`
`SHT_STRTAB`
`static final int`
`SHT_SYMTAB`

## Constructor Summary

Constructors
Constructor
Description
`Section()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`loadSectionData()`
`ByteBuffer`
`mapSectionData()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SHT_NULL

public static final int SHT_NULL

See Also:
  - Constant Field Values

### SHT_PROGBITS

public static final int SHT_PROGBITS

See Also:
  - Constant Field Values

### SHT_SYMTAB

public static final int SHT_SYMTAB

See Also:
  - Constant Field Values

### SHT_STRTAB

public static final int SHT_STRTAB

See Also:
  - Constant Field Values

### SHT_RELA

public static final int SHT_RELA

See Also:
  - Constant Field Values

### SHT_HASH

public static final int SHT_HASH

See Also:
  - Constant Field Values

### SHT_DYNAMIC

public static final int SHT_DYNAMIC

See Also:
  - Constant Field Values

### SHT_NOTE

public static final int SHT_NOTE

See Also:
  - Constant Field Values

### SHT_NOBITS

public static final int SHT_NOBITS

See Also:
  - Constant Field Values

### SHT_REL

public static final int SHT_REL

See Also:
  - Constant Field Values

### SHT_SHLIB

public static final int SHT_SHLIB

See Also:
  - Constant Field Values

### SHT_DYNSYM

public static final int SHT_DYNSYM

See Also:
  - Constant Field Values

### SHT_LOPROC

public static final int SHT_LOPROC

See Also:
  - Constant Field Values

### SHF_WRITE

public static final int SHF_WRITE

See Also:
  - Constant Field Values

### SHF_ALLOC

public static final int SHF_ALLOC

See Also:
  - Constant Field Values

### SHF_EXECINTR

public static final int SHF_EXECINTR

See Also:
  - Constant Field Values

### SHF_COMPRESSED

public static final int SHF_COMPRESSED

Since:
  6.6
See Also:
  - Constant Field Values

### NT_GNU_BUILD_ID

public static final int NT_GNU_BUILD_ID

Since:
  5.7
See Also:
  - Constant Field Values

### sh_name

public long sh_name

### sh_type

public long sh_type

### sh_flags

public long sh_flags

### sh_addr

public IAddress sh_addr

### sh_offset

public long sh_offset

### sh_size

public long sh_size

### sh_link

public long sh_link

### sh_info

public long sh_info

### sh_addralign

public long sh_addralign

### sh_entsize

public long sh_entsize

## Constructor Details

### Section

public Section()

## Method Details

### mapSectionData

public ByteBuffer mapSectionData() throws IOException

Throws:
  `IOException`
Since:
  5.1

### loadSectionData

public byte[] loadSectionData() throws IOException

Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`